Skip to main content
GET
/
orgs
/
{organization}
/
servers
/
{server}
/
firewall-rules
List server firewall rules
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/firewall-rules",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": [
    {
      "id": "<string>",
      "type": "rules",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "name": "<string>",
        "port": "<string>",
        "type": "<string>",
        "ip_address": "<string>",
        "status": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "path": "<string>",
    "per_page": 1,
    "next_cursor": "<string>",
    "prev_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

Query Parameters

page[size]
integer
default:30

The number of results that will be returned per page.

page[cursor]
string

The cursor to start the pagination from.

filter[name]
string

The name of the firewall rule.

Example:

"Allow MySQL"

filter[status]
string

The status of the firewall rule.

Example:

"installed"

filter[ip_address]
string

The IP address or subnet for the firewall rule.

Example:

"192.168.1.1"

filter[type]
string

The type of the firewall rule.

Example:

"allow"

filter[port]
string

The port or port range for the firewall rule.

Example:

3306

sort
enum<string>[]
Available options:
created_at,
-created_at,
updated_at,
-updated_at

Response

Paginated set of RuleResource

data
RuleResource · object[]
required
meta
object
required